Warning message

This translation is outdated. For the most up-to-date information, please refer to the English version.

GHOST: glibc漏洞 (CVE-2015-0235)

已更新 -

Red Hat Product Security 部门发现了一个关于glibc库的重大漏洞,通称GHOST 。该漏洞被定义在 CVE-2015-0235。 所有的Red Hat Enterprise Linux 上的glibc版本均到受影响。

背景

GHOST是glibc 库中的gethostbyname()gethostbyname2() 函数在被调用时产生的缓冲区溢出BUG。该漏洞允许远程攻击者可以以受攻击的应用程序的权限执行任意代码。

影响

gethostbyname()函数会在平常的DNS地址解析时被调用。攻击者为了利用该漏洞,会给请求DNS地址解析的应用程序返回一个错误的主机名,并诱发缓冲区溢出问题。

确认漏洞

如果您购买了Red Hat的订阅,您可以利用Red Hat Access Lab里的glibc (GHOST) Detector工具简单方便地确认您的服务器是否受该漏洞的影响。

解决方案

您可以用如下方法修复该漏洞。

1.glibcnscd包升级到如下版本:

  • Red Hat Enterprise Linux (v. 5 server),
  • Red Hat Enterprise Linux Desktop (v. 5 client): RHSA-2015:0090
  • Red Hat Enterprise Linux Desktop (v. 6),
  • Red Hat Enterprise Linux Desktop (v. 7),
  • Red Hat Enterprise Linux HPC Node (v. 6),
  • Red Hat Enterprise Linux HPC Node (v. 7),
  • Red Hat Enterprise Linux Server (v. 6),
  • Red Hat Enterprise Linux Server (v. 7),
  • Red Hat Enterprise Linux Server EUS (v. 6.6.z),
  • Red Hat Enterprise Linux Workstation (v. 6),
  • Red Hat Enterprise Linux Workstation (v. 7): RHSA-2015:0092
  • Red Hat Enterprise Linux EUS (v. 5.9.z server),
  • Red Hat Enterprise Linux Long Life (v. 5.6 server),
  • Red Hat Enterprise Linux Long Life (v. 5.9 server),
  • Red Hat Enterprise Linux Server AUS (v. 6.2),
  • Red Hat Enterprise Linux Server AUS (v. 6.4),
  • Red Hat Enterprise Linux Server AUS (v. 6.5),
  • Red Hat Enterprise Linux Server EUS (v. 6.4.z),
  • Red Hat Enterprise Linux Server EUS (v. 6.5.z): RHSA-2015:0099

Red Hat Enterprise Linux ELS (v. 4): RHSA-2015:0101
为了获得Red Hat Enterprise Linux 4上的补丁,您需要一个有效的ELS订阅。
如果您想购买ELS订阅,请您联系Red Hat的销售部门

2. 重启所有使用glibc的服务。由于有很多服务都使用glibc,我们强烈推荐您重启服务器。

其他信息